-- 	SaveLightStatus Script
--
-- 	Author: 	Silas770
-- 	Date:		23.06.2018
--	Version:	1.0 (LS17)
--
--	Contact at NKB Modding:
--	https://nkb-modding.com/index.php/User/6877-Silas770/
--

SaveLightStatus = {};

function SaveLightStatus.prerequisitesPresent(specializations)
	return true;
end;

function SaveLightStatus:load(savegame)
end;

function SaveLightStatus:postLoad(savegame)
	if savegame ~= nil then
		local lightsTypesMask = getXMLInt(savegame.xmlFile, savegame.key.."#lightsTypesMask");
		if lightsTypesMask ~= nil then
			self:setLightsTypesMask(lightsTypesMask);
		end;
		
		local beaconLightsActive = getXMLBool(savegame.xmlFile, savegame.key.."#beaconLightsActive");
		if beaconLightsActive ~= nil then
			self:setBeaconLightsVisibility(beaconLightsActive);
		end;
		
		local turnLightState = getXMLInt(savegame.xmlFile, savegame.key.."#turnLightState");
		if turnLightState ~= nil then
			self:setTurnLightState(turnLightState);
		end;
		
		local brakeLightsVisibility = getXMLBool(savegame.xmlFile, savegame.key.."#brakeLightsVisibility");
		if brakeLightsVisibility ~= nil then
			self:setBrakeLightsVisibility(brakeLightsVisibility);
		end;
	end;
end;

function SaveLightStatus:delete()
end;

function SaveLightStatus:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SaveLightStatus:keyEvent(unicode, sym, modifier, isDown)
end;

function SaveLightStatus:update(dt)
end;

function SaveLightStatus:draw()
end;

function SaveLightStatus:getSaveAttributesAndNodes(nodeIdent)
	local numAttributes = 0;
	local attributes = '';
	
	if self.beaconLightsActive ~= nil and self.lightsTypesMask ~= 0 then
		if numAttributes > 0 then
			attributes = attributes..' ';
		end;
		
		attributes = attributes..'lightsTypesMask="'..tostring(self.lightsTypesMask)..'"';
		numAttributes = numAttributes + 1;
	end;
	
	if self.beaconLightsActive ~= nil and self.beaconLightsActive then
		if numAttributes > 0 then
			attributes = attributes..' ';
		end;
		
		attributes = attributes..'beaconLightsActive="'..tostring(self.beaconLightsActive)..'"';
		numAttributes = numAttributes + 1;
	end;
	
	if self.turnLightState ~= nil and self.turnLightState ~= Lights.TURNLIGHT_OFF then
		if numAttributes > 0 then
			attributes = attributes..' ';
		end;
		
		attributes = attributes..'turnLightState="'..tostring(self.turnLightState)..'"';
		numAttributes = numAttributes + 1;
	end;
	
	if self.brakeLightsVisibility ~= nil and self.brakeLightsVisibility then
		if numAttributes > 0 then
			attributes = attributes..' ';
		end;
		
		attributes = attributes..'brakeLightsVisibility="'..tostring(self.brakeLightsVisibility)..'"';
		numAttributes = numAttributes + 1;
	end;
	
	if attributes == '' then
		attributes = nil;
	end;
	
	return attributes, nil;
end;