-- 	SaveTurnOnVehicleStatus Script
--
-- 	Author: 	Silas770
-- 	Date:		23.06.2018
--	Version:	1.0 (LS17)
--
--	Contact at NKB Modding:
--	https://nkb-modding.com/index.php/User/6877-Silas770/
--

SaveTurnOnVehicleStatus = {};

function SaveTurnOnVehicleStatus.prerequisitesPresent(specializations)
	return true;
end;

function SaveTurnOnVehicleStatus:load(savegame)
end;

function SaveTurnOnVehicleStatus:postLoad(savegame)
	if savegame ~= nil then
		local isTurnedOn = Utils.getNoNil(getXMLBool(savegame.xmlFile, savegame.key.."#isTurnedOn"), false);
		if isTurnedOn then
			self:setIsTurnedOn(isTurnedOn);
			self.startTreshingNeeded = self.startThreshing ~= nil;
		end;
	end;
end;

function SaveTurnOnVehicleStatus:delete()
end;

function SaveTurnOnVehicleStatus:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SaveTurnOnVehicleStatus:keyEvent(unicode, sym, modifier, isDown)
end;

function SaveTurnOnVehicleStatus:update(dt)
	if self.startTreshingNeeded then
		self.startTreshingNeeded = false;
		self:startThreshing();
	end;
end;

function SaveTurnOnVehicleStatus:draw()
end;

function SaveTurnOnVehicleStatus:getSaveAttributesAndNodes(nodeIdent)
	if self.turnOnVehicle ~= nil and self.turnOnVehicle.isTurnedOn ~= nil and self.turnOnVehicle.isTurnedOn then
		local attributes = 'isTurnedOn="'..tostring(self.turnOnVehicle.isTurnedOn)..'"';
		return attributes, nil;
	end;
	return nil, nil;
end;